# dock_curves.cpp File Reference

Template File. More...

`#include "dock_curves.h"`
`#include "app.h"`
`#include <gtkmm/scrolledwindow.h>`
`#include <cassert>`
`#include "instance.h"`
`#include <sigc++/signal.h>`
`#include <sigc++/hide.h>`
`#include <sigc++/slot.h>`
`#include "canvasview.h"`
`#include "layerparamtreestore.h"`
`#include "workarea.h"`
`#include "widget_curves.h"`
`#include <gtkmm/table.h>`
`#include <gtkmm/scrollbar.h>`
`#include "widget_timeslider.h"`
`#include "general.h"`

## Functions

static void | _curve_selection_changed (Gtk::TreeView *param_tree_view, Widget_Curves *curves)

## Detailed Description

Template File.

$Id$

## Function Documentation

static void _curve_selection_changed | ( | Gtk::TreeView * | param_tree_view,
|  | Widget_Curves * | curves |
| ) |  |  | `[static]`

References studio::Widget_Curves::clear(), studio::Widget_Curves::refresh(), studio::Widget_Curves::set_value_descs(), and studio::CanvasTreeStore::Model::value_desc.

Referenced by studio::Dock_Curves::init_canvas_view_vfunc().